---
- name: install files optimized for essential mode
  copy:
    src: resources
    dest: "{{ dsgames_directory_server }}/{{ fivem_version_directory }}"
    owner: dsgames-user
    group: dsgames-user
    mode: 0755

- name: Copy sql script of essential mode
  copy:
    src: essentialmode.sql
    dest: /tmp

# NOT IDEMPOTENT
#- name: Import essential tables in database
#  mysql_db:
#    name: "{{ mysql_fivem_databases }}"
#    state: import
#    target: /tmp/essentialmode.sql

- name: Import essential tables in database
  shell: "mysql {{ mysql_fivem_databases }} < /tmp/essentialmode.sql"
  register: import_tables
  failed_when: '"already exists" not in import_tables.stderr and import_tables.rc != 0'

# problem with recurse, chown directory /run ?!
#- name: Ensure permissions of directory server
#  file:
#    path: "{{ dsgames_directory }}"
#    recurse: yes
#    owner: dsgames-user
#    group: dsgames-user
#    state: directory

- name: Ensure permissions of directory server    
  command: "chown -R dsgames-user:dsgames-user {{ dsgames_directory }}"
    
- name: start the fivem service.
  service:
    name: fivem
    state: started